Name: pccts
Version: 1.33mr17
Release: 1
Serial: 1
Source: http://www.mcs.net/~tmoog/pccts133mr.zip
Url: http://www.mcs.net/~tmoog/pccts.html
Copyright: Public domain
Group: Development/Tools
BuildRoot: /var/tmp/%{name}-root
Summary: PCCTS - The Purdue Compiler Construction Tool Set                      
Prefix: /usr

%description
PCCTS is a set of public domain software tools designed to
facilitate  the  implementation  of  compilers  and  other
translation systems.  These tools currently include antlr,
dlg and support code.  In many ways, PCCTS is similar to a
highly integrated version of YACC [Joh78] and LEX [Les75];
where antlr (ANother Tool for Language Recognition) corresponds
to YACC and dlg (DFA-based Lexical analyzer Generator)
functions like LEX.  However, PCCTS  has  many  additional
features  which  make it easier to use for a wider range
of translation problems.

%prep
rm -rf $RPM_BUILD_DIR/pccts/
unzip -q $RPM_SOURCE_DIR/pccts133mr.zip
%setup -DT -n pccts

%build
mkdir -p $RPM_BUILD_DIR/pccts/man/man1
make MANDIR=man
make MANDIR=man manpages

%install
rm -rf $RPM_BUILD_ROOT

mkdir -p $RPM_BUILD_ROOT%{prefix}/{bin,man/man1,include/pccts}

install    -m644 man/man1/pccts.1	$RPM_BUILD_ROOT%{prefix}/man/man1
install -s -m755 bin/antlr		$RPM_BUILD_ROOT%{prefix}/bin
install    -m644 man/man1/antlr.1	$RPM_BUILD_ROOT%{prefix}/man/man1
install -s -m755 bin/dlg		$RPM_BUILD_ROOT%{prefix}/bin
install    -m644 man/man1/dlg.1		$RPM_BUILD_ROOT%{prefix}/man/man1
install -s -m755 bin/genmk		$RPM_BUILD_ROOT%{prefix}/bin
install -s -m755 bin/sor		$RPM_BUILD_ROOT%{prefix}/bin

cp -a h/* $RPM_BUILD_ROOT%{prefix}/include/pccts
cp -a sorcerer/h/*.h $RPM_BUILD_ROOT%{prefix}/include/pccts

cp sorcerer/README README-sorcerer
cp sorcerer/UPDATES UPDATES-sorcerer

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root)
%doc CHANGES_FROM_131.txt CHANGES_FROM_133.txt KNOWN_PROBLEMS.txt
%doc NOTES.OS2 NOTES.bcc NOTES.msvc NOTES.watcom README RIGHTS
%doc SERVICES history.ps history.txt README-sorcerer UPDATES-sorcerer
%attr(755,root,root) %{prefix}/bin/antlr
%attr(755,root,root) %{prefix}/bin/dlg
%attr(755,root,root) %{prefix}/bin/genmk
%attr(755,root,root) %{prefix}/bin/sor
%attr(755,root,root) %dir %{prefix}/include/pccts
%attr(644,root,root) %{prefix}/include/pccts/*
%attr(644,root,root) %{prefix}/man/man1/pccts.1
%attr(644,root,root) %{prefix}/man/man1/antlr.1
%attr(644,root,root) %{prefix}/man/man1/dlg.1

%changelog
* Wed Jan 6 1999 Michael Maher <mike@redhat.com>
- built package for powertools
- fixed broken includes dir

* Mon Jan  4 1999 Ryan Weaver <ryanw@infohwy.com>
  [pccts-1.33mr17-1]
- #212. (Changed in MR17)  Mac related changes by Kenji Tanaka

* Wed Dec 16 1998 Ryan Weaver <ryanw@infohwy.com>
- Updated to 1.33 Maintainance Release 16a
- Including sor and sorcerer header files.

- #211. (Changed in MR16a)  C++ style comment in dlg
- #210. (Changed in MR16a)  Sor accepts \r\n, \r, or \n for end-of-line

* Fri Dec 11 1998 Ryan Weaver <ryanw@infohwy.com>
- Updated to 1.33 Maintainance Release 16

- #209. (Changed in MR16) Name of files changed.
- #208. (Changed in MR16) Change in use of pccts #include files
- #207. (Changed in MR16) dlg reports an invalid range for: [\0x00-\0xff]
- #206. (Changed in MR16) Free zzFAILtext in ANTLRParser destructor
- #205. (Changed in MR16) DLGStringReset argument now const

* Mon Mar 23 1998 Elliot Lee <sopwith@cuc.edu> 1.33-4
- Include header files

* Mon Mar 23 1998 Elliot Lee <sopwith@cuc.edu> 1.33-3
- Repackage for glibc
